Package com.io7m.waxmill.xml.vm.v1

# Class WXM1HostDeviceSlot.Builder

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1HostDeviceSlot.Builder

Enclosing class:
  WXM1HostDeviceSlot

    public static final class WXM1HostDeviceSlot.Builder
    extends java.lang.Object

Builds instances of type `WXM1HostDeviceSlot`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXM1HostDeviceSlot` | `build()` | Builds a new `WXM1HostDeviceSlot`.
  `WXM1HostDeviceSlot.Builder` | `from​(WXM1HostDeviceSlotType instance)` | Fill a builder with attribute values from the provided `WXM1HostDeviceSlotType` instance.
  `WXM1HostDeviceSlot.Builder` | `setSlot​(WXMDeviceSlot slot)` | Initializes the value for the `slot` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXM1HostDeviceSlot.Builder from​(WXM1HostDeviceSlotType instance)
    Fill a builder with attribute values from the provided `WXM1HostDeviceSlotType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSlot

    public final WXM1HostDeviceSlot.Builder setSlot​(WXMDeviceSlot slot)
    Initializes the value for the `slot` attribute.
    Parameters:
      `slot` - The value for slot
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXM1HostDeviceSlot build()
    Builds a new `WXM1HostDeviceSlot`.
    Returns:
      An immutable instance of WXM1HostDeviceSlot
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing